## dpkg-cross 1.38

=== Makefile ===
#
#  Copyright (C) 1997-2000  Roman Hodek <roman@hodek.net>
#  Copyright (C) 2004  Raphael Bossek <bossekr@debian.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  $Id: Makefile,v 1.15 2005-12-01 09:40:49 yoush-guest Exp $

SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps
SHARESCRIPTS = gccross strip objdump objcopy
CONFFILES = $(shell ls -1 cross-config.*) crosstools
MAN1 = dpkg-cross.1 gccross.1
MAN5 = cross-compile.5
DESTDIR =
INSTALL = install

all: $(MAN1) $(MAN5)

%.1 %.5:	%.sgml
	docbook-to-man $^ > $@

install:
	$(INSTALL) -m755 -o root -g root -d $(DESTDIR)/etc/dpkg-cross $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/man5 $(DESTDIR)/usr/share/perl5 $(DESTDIR)/usr/share/dpkg-cross
	$(INSTALL) -m644 -o root -g root cross-compile.example $(DESTDIR)/etc/dpkg-cross/cross-compile
	$(INSTALL) -m644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/dpkg-cross/
	$(INSTALL) -m755 -o root -g root $(SCRIPTS) $(DESTDIR)/usr/bin/
	$(INSTALL) -m755 -o root -g root $(SHARESCRIPTS) $(DESTDIR)/usr/share/dpkg-cross/
	$(INSTALL) -m644 -o root -g root  $(MAN1) $(DESTDIR)/usr/share/man/man1/
	$(INSTALL) -m644 -o root -g root $(MAN5) $(DESTDIR)/usr/share/man/man5/
	$(INSTALL) -m644 -o root -g root dpkg-cross.pl $(DESTDIR)/usr/share/perl5/

clean:
	rm -f $(MAN1) $(MAN5)
	-find autoconf/. -not -name "configure.ac" \
			 -not -name "autogen.sh" \
			 -not -name "CVS" \
			 -not -name m4 \
			 -not -name Makefile.am \
			 -maxdepth 1 -exec rm -rf {} \; >/dev/null 2>&1

=== debian/changelog ===
dpkg-cross (1.38) unstable; urgency=low

  * [INTL:it] Italian debconf templates translation (Closes: #425260)
  * Implement new --exclude option to drop specified dependencies
  from the cross-built package, e.g. architecture-independent dependencies.

 -- Neil Williams <codehelp@debian.org>  Sun, 20 May 2007 15:36:30 +0100

dpkg-cross (1.37) unstable; urgency=low

  * add support for "cross" -dev packages for non-default libc
  (Closes: #422871)
  * migrate armel support to unstable.
  * [INTL:nl] Dutch po-debconf translation (Closes: #415522)
  * symlinks in linux-header packages are not converted 
  (Closes: #379004)

 -- Neil Williams <codehelp@debian.org>  Wed, 09 May 2007 12:12:45 +0100

dpkg-cross (1.36) experimental; urgency=low

  [ Wookey ]
  * Add armel architecture (Closes: #414085)
  * Update docs to point at debian-embedded list

  [ Neil Williams ]
  * [INTL:ja] Japanese debconf templates translation (Closes: #412999)
  * Uploading to experimental due to Etch release and preliminary status of
    armel support.

 -- Neil Williams <codehelp@debian.org>  Wed, 14 Mar 2007 18:04:59 +0000

dpkg-cross (1.35) unstable; urgency=low

  * [l10n] Czech translation of dpkg-cross debconf messages
    (Closes: #409086)
  * [INTL:de] initial German debconf translation (Closes: #409203)
  * [INTL:fr] French debconf translation (Closes: #409294)
  * Should split out "Choices" in debconf templates to make translators
    work easier (Closes: #409146)

 -- Neil Williams <codehelp@debian.org>  Sat, 10 Feb 2007 11:34:39 +0000

dpkg-cross (1.34) unstable; urgency=low

  * Fix: Failed to preconfigure: "no config file: /etc/dpkg-cross/cross-
    compile.sample"... (Closes: #408354)

 -- Neil Williams <codehelp@debian.org>  Sat, 27 Jan 2007 18:54:03 +0000

dpkg-cross (1.33) unstable; urgency=low

  * Implement debconf handler to set a default architecture for cross
  building. Can be overridden using ~/.dpkg-cross/cross-compile or
  on the command line.
  * Add myself as new co-maintainer, as discussed on debian-embedded
  mailing list.

 -- Neil Williams <codehelp@debian.org>  Sun, 21 Jan 2007 13:14:18 +0000

=== debian/control ===
Source: dpkg-cross
Section: utils
Priority: extra
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Uploaders:
 Wartan Hachaturow <wart@debian.org>,
 Alexander Shishkin <virtuoso@slind.org>,
 Nikita V. Youshchenko <yoush@debian.org>,
 Raphael Bossek <bossekr@debian.org>,
 NIIBE Yutaka <gniibe@fsij.org>,
 Neil Williams <codehelp@debian.org>
Build-Depends-Indep: docbook-to-man
Build-Depends: debhelper (>> 5), po-debconf
Standards-Version: 3.7.2

Package: dpkg-cross
Architecture: all
Depends: dpkg-dev (>= 1.14), binutils, file, debconf
Suggests: binutils-multiarch, fakeroot
Conflicts: pkg-config (<< 0.15.0)
Description: tools for cross compiling Debian packages
 dpkg-cross itself is a tool for installing libraries and headers for
 cross compiling in a way similar to dpkg. Furthermore, the
 functionality of dpkg-buildpackage and dpkg-shlibdeps is enhanced to
 support cross compiling.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=5

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dpkg-cross
	mkdir -p $(CURDIR)/debian/dpkg-cross/usr/share/lintian/overrides
	install -o root -g root -m 0644 debian/lintian \
		debian/dpkg-cross/usr/share/lintian/overrides/dpkg-cross
	mv $(CURDIR)/debian/dpkg-cross/etc/dpkg-cross/cross-compile $(CURDIR)/debian/dpkg-cross/etc/dpkg-cross/cross-compile.sample

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs debian/NEWS.Debian
	dh_installman
	dh_installdebconf
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build install clean binary-indep binary-arch binary

## dpkg-cross 2.1.0

=== Makefile ===
#
#  Copyright (C) 1997-2000  Roman Hodek <roman@hodek.net>
#  Copyright (C) 2004  Raphael Bossek <bossekr@debian.org>
#  Copyright (c) 2007  Neil Williams <codehelp@debian.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

MAN1 = dpkg-cross.1 gccross.1
MAN5 = cross-compile.5

all: $(MAN1) $(MAN5) man3

test: 

%.1 %.5:	%.sgml
	docbook-to-man $^ > $@

man3: 
	pod2man Debian/DpkgCross.pm > Debian::DpkgCross.3

install:


clean:
	rm -f $(MAN1) $(MAN5)
	-find autoconf/. -not -name "configure.ac" \
			 -not -name "autogen.sh" \
			 -not -name "CVS" \
			 -not -name m4 \
			 -not -name Makefile.am \
			 -maxdepth 1 -exec rm -rf {} \; >/dev/null 2>&1

distclean: clean

=== debian/changelog ===
dpkg-cross (2.1.0) unstable; urgency=low

  * Support retaining temporary archives
  * Fix lintian warning over NEWS formatting
  * use Build-Depends-Indep
  * avoid possible bashism in postrm script

 -- Neil Williams <codehelp@debian.org>  Tue, 04 Dec 2007 21:02:30 +0000

dpkg-cross (2.0.1) unstable; urgency=low

  * support debconf-updatepo in debian/rules clean
  * Support misc:Depends for cleaner debconf dependency handling
  * Add a reportbug script for cross-compile configuration debugging
  * tie dpkg-cross to libdebian-dpkgcross-perl at the same version

 -- Neil Williams <codehelp@debian.org>  Tue, 30 Oct 2007 12:04:12 +0000

dpkg-cross (2.0.0) unstable; urgency=low

  * Replace the diversions
  * buildcross: new shell library to replace perl dpkg-buildpackage
    diversion
  * remove lintian overrides for previously diverted scripts
  * ChangeLog: close old file and use only the installed debian
    changelog
  * Remove old diversions when installing instead of removing
  * crosstools: removed
  * Merge dpkg-shlibdeps into dpkg (Closes: #283626)
  * replace cross-compile.example with cross-compile.sample
  * dpkg-cross should also handle /usr/lib/ldscripts (Closes: #401058)
  * shlibs must also search /usr/$libpath (Closes: #32340)
  * dpkg-buildpackage -S is confused by other-arch changes file.
    (Closes: #429555)
  * Debian/DpkgCross.pm: add new function convert_filename($)
  * NEWS,
    README.debian,
    README.cvs: Start the long goodbye - signal the intention to
    remove dpkg-cross after Lenny.
  * Missing a dependency on libfile-homedir-perl (Closes: #440043)
  * debconf dependency unsatisfiable with cdebconf (Closes: #441940)
  * Generate POD content and update man page for latest changes
  * Skip pre2 - set 2.0.0 for unstable due to changes in dpkg-dev 1.14.7

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Oct 2007 22:11:09 +0100

dpkg-cross (1.99+2.0.0pre1) experimental; urgency=low

  * refactoring for a 2.0.0 release.
  * config.common linux specific (Closes: #72405)
  * [Patch] Check dpkg-architecture before falling back to internal
    tables (Closes: #430507)
  * cross-config.common, cross-config.${arch_os} files (Closes: #284275)
  * broken CC_FOR_BUILD handling in diverted
  dpkg-buildpackage (Closes: #437507)
  * Migrate to CDBS
  * broken on anything but GNU/linux (Closes: #115247)

 -- Neil Williams <codehelp@debian.org>  Wed, 15 Aug 2007 07:20:26 +0100

dpkg-cross (1.39) unstable; urgency=low

  * [INTL:pt] Portuguese translation for debconf messages
  (Closes: #430991)
  * dpkg-cross diversion of dpkg-buildpackage does not support all
    options (Closes: #416437)
  * Fails to convert libc6-dev-ppc64_2.5-9_powerpc.deb due to symlink
    problem (Closes: #426333)

 -- Neil Williams <codehelp@debian.org>  Thu, 05 Jul 2007 22:34:24 +0100

=== debian/control ===
Source: dpkg-cross
Section: utils
Priority: extra
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Uploaders:
 Wartan Hachaturow <wart@debian.org>,
 Alexander Shishkin <virtuoso@slind.org>,
 Nikita V. Youshchenko <yoush@debian.org>,
 Raphael Bossek <bossekr@debian.org>,
 NIIBE Yutaka <gniibe@fsij.org>,
 Neil Williams <codehelp@debian.org>
Build-Depends: cdbs, debhelper (>> 5)
Build-Depends-Indep: po-debconf, docbook-to-man
Standards-Version: 3.7.2
Homepage: http://dpkg-cross.alioth.debian.org/
Vcs-Browser: http://alioth.debian.org/plugins/scmcvs/cvsweb.php/?cvsroot=dpkg-cross

Package: dpkg-cross
Section: utils
Priority: extra
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev (>= 1.14.7), binutils-multiarch,
 libdebian-dpkgcross-perl (= ${source:Version})
Recommends: fakeroot
Conflicts: apt-cross (<< 0.2.9), emdebian-tools (<< 0.3.9)
Enhances: dpkg-dev
Description: tools for cross compiling Debian packages
 dpkg-cross is a tool for installing libraries and headers for
 cross compiling in a way similar to dpkg. Supports enhanced
 functionality of 'dpkg-buildpackage -a' when cross compiling.

Package: libdebian-dpkgcross-perl
Section: perl
Priority: extra
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file, dpkg-dev (>> 1.14.6),
 libfile-temp-perl, libconfig-auto-perl, libfile-homedir-perl
Description: functions to aid cross-compiling Debian packages
 Debian::DpkgCross is a module of perl functions to aid installing
 libraries and headers for cross compiling. Supports enhanced
 functionality of 'dpkg-buildpackage -a' when cross compiling.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perlmodule.mk

clean::
	debconf-updatepo

build/dpkg-cross::
	install -d debian/dpkg-cross/usr/share/bug/dpkg-cross/
	install -m 0755 debian/bugscript debian/dpkg-cross/usr/share/bug/dpkg-cross/script

## dpkg-cross 2.2.4

=== debian/changelog ===
dpkg-cross (2.2.4) unstable; urgency=low

  * Debian release incorporating Emdebian changes
  * Restore po-debconf to Build-Depends (solves lintian warning)

 -- Neil Williams <codehelp@debian.org>  Thu, 26 Jun 2008 17:28:58 +0100

dpkg-cross (2.2.3) unstable; urgency=low

  * New Emdebian release.
  * Downgrade debconf question to priority medium.

 -- Neil Williams <codehelp@debian.org>  Wed, 04 Jun 2008 16:27:12 +0100

dpkg-cross (2.2.2) unstable; urgency=low

  * New Emdebian release
  * Support lib32/ for mips n32 toolchain support

 -- Neil Williams <codehelp@debian.org>  Fri, 30 May 2008 15:32:09 +0100

dpkg-cross (2.2.1) unstable; urgency=low

  * General support for querying endianness of an architecture.
  * Update standards version (no changes)
  * Add Cvs-CVS field to debian/control
  * Reinstate detect_arch for improved build test checks in emdebian-
    tools
  * get_endianness: new function for TDeb support

 -- Neil Williams <codehelp@debian.org>  Sun, 09 Mar 2008 14:27:00 +0000

dpkg-cross (2.2.0) unstable; urgency=low

  * Post remove script fails on purge (Closes: #466514)
  * fix_la_file in dpkg-cross does not properly match all dependencies
    (Closes: #440332)

 -- Neil Williams <codehelp@debian.org>  Tue, 19 Feb 2008 12:53:11 +0000

dpkg-cross (2.1.1) unstable; urgency=low

  * Fix typo in keep temp logic

 -- Neil Williams <codehelp@debian.org>  Fri, 07 Dec 2007 21:06:20 +0000

## dpkg-cross 2.3.0.1

=== debian/changelog ===
dpkg-cross (2.3.0.1) unstable; urgency=low

  * [INTL:ru] Russian debconf templates translation (Closes: #497234)
  * [INTL:uk] Ukrainian debconf templates translation.
  * [INTL:ka] Georgian debconf templates translation.
  * [INTL:sv] po-debconf file for dpkg-cross (Closes: #502108)

 -- Neil Williams <codehelp@debian.org>  Wed, 22 Oct 2008 11:22:41 +0100

dpkg-cross (2.3.0) unstable; urgency=low

  * Same change as apt-cross in the buginfo.sh script:
  * bashism in /bin/sh script (Closes: #489567)
  * corrupted pkg-config data for libcairo-directfb (Closes: #483076)
  * -a amd64 should search /emul/ia32-linux (Closes: #463588)

 -- Neil Williams <codehelp@debian.org>  Tue, 15 Jul 2008 14:10:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
  Raphael Bossek <bossekr@debian.org>,
  NIIBE Yutaka <gniibe@fsij.org>,
  Neil Williams <codehelp@debian.org>
-Build-Depends: cdbs, debhelper (>> 5)
-Build-Depends-Indep: po-debconf, docbook-to-man
-Standards-Version: 3.7.2
+Build-Depends: cdbs, debhelper (>> 5), po-debconf
+Build-Depends-Indep: docbook-to-man
+Standards-Version: 3.8.0
 Homepage: http://dpkg-cross.alioth.debian.org/
 Vcs-Browser: http://alioth.debian.org/plugins/scmcvs/cvsweb.php/?cvsroot=dpkg-cross
+Vcs-CVS: :pserver:anonymous@cvs.alioth.debian.org:/cvsroot/dpkg-cross dpkg-cross
 
 Package: dpkg-cross
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 include /usr/share/cdbs/1/class/perlmodule.mk
 
 clean::
+	$(RM) Debian::DpkgCross.3
 	debconf-updatepo
 
 build/dpkg-cross::

## dpkg-cross 2.5.2ubuntu1

=== debian/changelog ===
dpkg-cross (2.5.2ubuntu1) karmic; urgency=low

  * Cache ac_cv_func_malloc_0_nonnull=yes globally; not everything that
    needs it sets PACKAGE/PACKAGE_NAME, and it's too much of a pain to deal
    with this one package at a time for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Oct 2009 03:15:46 +0100

dpkg-cross (2.5.2) unstable; urgency=low

  * Update Vcs-Browser URL for alioth changes. (Closes: #528301)
  * Use /bin/bash for reportbug support script. (Closes: #530973)
  * Drop unused %crossprefixtable.

 -- Neil Williams <codehelp@debian.org>  Mon, 01 Jun 2009 16:16:11 +0100

dpkg-cross (2.5.1) unstable; urgency=low

  * Interim Emdebian release
  * Fix the source package identification, broken in 1.28.

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Mar 2009 18:00:14 +0100

dpkg-cross (2.5.0) unstable; urgency=low

  * Fold Emdebian changes into Debian package. 
  * Update standards version (no changes)
  * tidy up some lintian errors in debian/control and copyright.

 -- Neil Williams <codehelp@debian.org>  Tue, 17 Mar 2009 13:45:52 +0000

dpkg-cross (2.4.2) unstable; urgency=low

  * Oops - typo fix for %crossprefixtable.

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Mar 2009 20:25:04 +0000

dpkg-cross (2.4.1) unstable; urgency=low

  * Fix typo when building 64bit libraries with dpkg-cross
    (Closes: #517076)
  * Remove legacy code from the module.

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Mar 2009 17:47:47 +0000

dpkg-cross (2.4.0) unstable; urgency=low

  * Merge Emdebian releases into Debian.
  * Remove dependencies on outdated -dcv1 compatibility packages,
    retain Provides for now. (Closes: #514249)

 -- Neil Williams <codehelp@debian.org>  Sun, 15 Feb 2009 11:25:46 +0000

dpkg-cross (2.3.6) unstable; urgency=low

  * Fix cache support for packages with unusual AC_INIT calls.
  * Add cache support for mipsel.

 -- Neil Williams <codehelp@debian.org>  Tue, 10 Feb 2009 20:04:18 +0000

dpkg-cross (2.3.5) unstable; urgency=low

  * [INTL:es] Spanish debconf template translation for dpkg-cross
    (Closes: #514604)
  * Implement support for package-specific cache values using CONFIG_SITE
    and /etc/dpkg-cross/cross-config.d/$arch support. (Closes: #493180)

 -- Neil Williams <codehelp@debian.org>  Tue, 10 Feb 2009 16:53:25 +0000

dpkg-cross (2.3.4) unstable; urgency=low

  * Fix "dpkg-cross fails to provide correct .pc for libpthread-stubs0-
    dev" by marking pkgconfig files in /usr/share/ as 'useful'.
    (Closes: #506229)
  * Allow an exception so that dpkg-cross can handle symlinks to 
    pkgconfig files. (Closes: #506956)
  * Debian/DpkgCross.pm :Add a note to endiannes function that dpkg-
    cross needs to be installed as well as the perl module in order for
    the function to retrieve the endianness data.
  * Add missing cache values for findutils to allow findutils to remove
    the cache file. (Closes: #513203)

 -- Neil Williams <codehelp@debian.org>  Tue, 27 Jan 2009 09:21:10 +0000

dpkg-cross (2.3.3) unstable; urgency=low

  * Migrate gccross to emdebian-tools
  *  + to aid migration of dpkg-cross into dpkg and dpkg-dev
  *  + to retain gccross support until all packages are fixed
  *  + to implement support for marking all packages using gccross as
    buggy.
  * drop buildcross which is now implemented inside emdebuild if 
    '[X-]Build-Cross-Libtool: yes' is used in debian/xcontrol
  * dpkg-cross : migrate manpage content to POD for compatibility with
    dpkg-dev
  * migrate default options into the module instead of the conffile
  * check for and remove dangling symlinks (Closes: #499292) by
    stopping the creation of symlinks for files that are not
    interesting.
  * remove obsolete files from CVS and source tarball
  * using pod2man, so drop docbook-to-man build-depends
  * Improve error checking in case  value really is undefined
  * Add dynamic archtable settings to make it easier to support uClibc
    permutations: please support wrong architecture (Closes: #447427)
  * dpkg-cross : Remove cairo hack and finish simplifying the regexp
    lines to remove unnecessary escape characters.
  * debian/rules: final tweak to update from i18n update, clean up
    module man page

 -- Neil Williams <codehelp@debian.org>  Tue, 28 Oct 2008 16:42:35 +0000

dpkg-cross (2.3.2) unstable; urgency=low

  * Support package-specific cache values
  * config/cross-config.arm config/cross-config.armel : load the global
    variables before the previous values to retain the architecture-
    dependent values
  * config/cross-config.cache : drop orbit data (specialized support
    elsewhere) and reorganise blocks alphabetically
  * dpkg-cross : Implement support for generated cache data in
    /etc/dpkg-cross/cross-config.d/ and architecture-dependent sub
    directories
  * config/cross-config.cache : wrap cache values in package and
    package_name conditionals. Restrict loading of files in
    /etc/dpkg-cross/cross-config.d/ to files matching the package_name
    variable assigned within ./configure.
  * dpkg-cross : Support installing cmake files in -dev packages.
  * Adapt the experimental CMake example file for (hopefully) different
    Linux architectures
  * Add a few CMake tips to the dpkg-cross manpage

 -- Neil Williams <codehelp@debian.org>  Thu, 11 Sep 2008 21:05:10 +0100

dpkg-cross (2.3.1) unstable; urgency=low

  * Support collected cache values for system-wide comparisons

 -- Neil Williams <codehelp@debian.org>  Wed, 27 Aug 2008 23:23:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
-Uploaders:
- Wartan Hachaturow <wart@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Uploaders: Wartan Hachaturow <wart@debian.org>,
  Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,
  Raphael Bossek <bossekr@debian.org>,
  NIIBE Yutaka <gniibe@fsij.org>,
  Neil Williams <codehelp@debian.org>
 Build-Depends: cdbs, debhelper (>> 5), po-debconf
-Build-Depends-Indep: docbook-to-man
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Homepage: http://dpkg-cross.alioth.debian.org/
-Vcs-Browser: http://alioth.debian.org/plugins/scmcvs/cvsweb.php/?cvsroot=dpkg-cross
+Vcs-Browser: http://alioth.debian.org/scm/viewvc.php/?root=dpkg-cross
 Vcs-CVS: :pserver:anonymous@cvs.alioth.debian.org:/cvsroot/dpkg-cross dpkg-cross
 
 Package: dpkg-cross
-Section: utils
-Priority: extra
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev (>= 1.14.7), binutils-multiarch,
  libdebian-dpkgcross-perl (= ${source:Version})
@@ -32,7 +29,6 @@
 
 Package: libdebian-dpkgcross-perl
 Section: perl
-Priority: extra
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, file, dpkg-dev (>> 1.14.6),
  libfile-temp-perl, libconfig-auto-perl, libfile-homedir-perl

## dpkg-cross 2.5.6ubuntu1

=== Makefile ===
#
#  Copyright (C) 1997-2000  Roman Hodek <roman@hodek.net>
#  Copyright (C) 2004  Raphael Bossek <bossekr@debian.org>
#  Copyright (c) 2007-2008  Neil Williams <codehelp@debian.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

all: man1 man3

test: 

man1:
	pod2man dpkg-cross > dpkg-cross.1

man3:
	pod2man Debian/DpkgCross.pm > Debian::DpkgCross.3

install:

clean:
	rm -f dpkg-cross.1 Debian::DpkgCross.3

distclean: clean

=== debian/changelog ===
dpkg-cross (2.5.6ubuntu1) lucid; urgency=low

  * Resynchronise with Debian, dropping configurability of crosstype.
    Remaining changes:
    - Cache ac_cv_func_malloc_0_nonnull=yes and
      ac_cv_func_realloc_0_nonnull=yes globally.
    - Add support for multiarch paths even for packages that don't have
      appropriate control fields.  (This is a temporary workaround for
      libffi-dev, and probably doesn't need to go upstream.)  When the package
      has multiarch fields, move the files, otherwise just link them around.
    - Handle datarootdir specially in .pc files; it should keep the original
      prefix.
    - Handle lines containing '${exec_prefix}/bin' specially in .pc files;
      these are normally development tools, so should keep the original
      prefix.  (For example, orbit_idl in ORBit-2.0.pc.)

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 25 Mar 2010 23:56:01 +0100

dpkg-cross (2.5.6) unstable; urgency=low

  * Implement transitionary support for Multi-Arch (Closes: #545464)
  * Allow for apt-cross to not be installed when checking list of
    multiarch packages (Closes: #566744)

 -- Neil Williams <codehelp@debian.org>  Tue, 09 Feb 2010 20:55:35 +0000

dpkg-cross (2.5.5ubuntu1) lucid; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Cache ac_cv_func_malloc_0_nonnull=yes and
      ac_cv_func_realloc_0_nonnull=yes globally.
    - Add support for multiarch paths even for packages that don't have
      appropriate control fields.  (This is a temporary workaround for
      libffi-dev, and probably doesn't need to go upstream.)
    - Handle datarootdir specially in .pc files; it should keep the original
      prefix.
    - Handle lines containing '${exec_prefix}/bin' specially in .pc files;
      these are normally development tools, so should keep the original
      prefix.  (For example, orbit_idl in ORBit-2.0.pc.)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Feb 2010 10:07:41 -0800

dpkg-cross (2.5.5) unstable; urgency=low

  * Ensure dependency_libs can handle quoting (Closes: #565295)
  * Add preliminary support for multiarch packages.
  * Incorporate some Ubuntu changes (thanks to Colin Watson) for parted
    and tcl support.

 -- Neil Williams <codehelp@debian.org>  Wed, 20 Jan 2010 12:25:44 +0000

dpkg-cross (2.5.4) unstable; urgency=low

  * Handle -dbg packages.

 -- Neil Williams <codehelp@debian.org>  Wed, 06 Jan 2010 18:53:17 +0000

dpkg-cross (2.5.3ubuntu6) lucid; urgency=low

  * Mangle all instances of .la entries in dependency_libs lines, not just
    the last.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Jan 2010 16:40:23 +0000

dpkg-cross (2.5.3ubuntu5) lucid; urgency=low

  * Fix handling of quoted dependency_libs lines in .la files.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Jan 2010 16:29:53 +0000

dpkg-cross (2.5.3ubuntu4) lucid; urgency=low

  * parted sets _FILE_OFFSET_BITS=64 before checking the size of off_t, so
    make sure it always comes out as 8.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2010 18:06:59 +0000

dpkg-cross (2.5.3ubuntu3) lucid; urgency=low

  * Handle lines containing '${exec_prefix}/bin' specially in .pc files;
    these are normally development tools, so should keep the original
    prefix. (For example, orbit_idl in ORBit-2.0.pc.)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jan 2010 23:46:34 +0000

dpkg-cross (2.5.3ubuntu2) lucid; urgency=low

  * Handle datarootdir specially in .pc files; it should keep the original
    prefix.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Jan 2010 02:00:51 +0000

dpkg-cross (2.5.3ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Cache ac_cv_func_malloc_0_nonnull=yes and
      ac_cv_func_realloc_0_nonnull=yes globally.
    - Cache tcl's checks protecting AC_TRY_RUN usage for their Linux value.
    - Add support for multiarch paths.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Dec 2009 11:48:15 +0000

dpkg-cross (2.5.3) unstable; urgency=low

  * Retain font metadata in /usr/share/fonts for xfonts-utils.
  * Add arch specific dlsearch_path config to remove rpath.
    (Closes: #484277)

 -- Neil Williams <codehelp@debian.org>  Thu, 02 Jul 2009 12:11:59 +0100

dpkg-cross (2.5.2ubuntu2~cross3) karmic; urgency=low

  * Add support for multiarch paths (patch from Simon Richter in Debian
    #545464). For now I've modified this to copy to non-multiarch cross
    paths rather than new-style multiarch paths, since that works better
    with packages with pkg-config files.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Nov 2009 15:04:17 -0800

dpkg-cross (2.5.2ubuntu2~cross2) karmic; urgency=low

  * Cache tcl's checks protecting AC_TRY_RUN usage for their Linux value; it
    would be best to disable these entries on !linux though.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 25 Oct 2009 22:41:24 +0000

dpkg-cross (2.5.2ubuntu2~cross1) karmic; urgency=low

  * Cache ac_cv_func_realloc_0_nonnull=yes globally too.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Oct 2009 00:50:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  NIIBE Yutaka <gniibe@fsij.org>,
  Neil Williams <codehelp@debian.org>
 Build-Depends: cdbs, debhelper (>> 5), po-debconf
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 Homepage: http://dpkg-cross.alioth.debian.org/
 Vcs-Browser: http://alioth.debian.org/scm/viewvc.php/?root=dpkg-cross
 Vcs-CVS: :pserver:anonymous@cvs.alioth.debian.org:/cvsroot/dpkg-cross dpkg-cross
@@ -18,7 +18,7 @@
 Package: dpkg-cross
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev (>= 1.14.7), binutils-multiarch,
- libdebian-dpkgcross-perl (= ${source:Version})
+ libconfig-auto-perl, libdebian-dpkgcross-perl (= ${source:Version})
 Recommends: fakeroot
 Conflicts: apt-cross (<< 0.2.9), emdebian-tools (<< 0.3.9)
 Enhances: dpkg-dev
@@ -26,6 +26,8 @@
  dpkg-cross is a tool for installing libraries and headers for
  cross compiling in a way similar to dpkg. Supports enhanced
  functionality of 'dpkg-buildpackage -a' when cross compiling.
+ .
+ Includes support for transitioning to a multiarch environment.
 
 Package: libdebian-dpkgcross-perl
 Section: perl

## dpkg-cross 2.5.8

=== debian/changelog ===
dpkg-cross (2.5.8) unstable; urgency=low

  * Ensure provides are rewritten for -cross mode.
  * Handle exclusions in the new Provides code.

 -- Neil Williams <codehelp@debian.org>  Sun, 25 Apr 2010 14:37:28 +0100

dpkg-cross (2.5.7) unstable; urgency=low

  * Append to any existing Provides field to avoid duplicate
    fields which now fail dpkg-deb parsing. (Closes: #578613)

 -- Neil Williams <codehelp@debian.org>  Thu, 22 Apr 2010 08:17:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
 Uploaders: Wartan Hachaturow <wart@debian.org>,
  Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,

## dpkg-cross 2.5.8ubuntu2

=== debian/changelog ===
dpkg-cross (2.5.8ubuntu2) maverick; urgency=low

  * Only recommend rather than depend on binutils-multiarch.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 03 Aug 2010 15:55:25 -0400

dpkg-cross (2.5.8ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining changes:
    - Cache ac_cv_func_malloc_0_nonnull=yes and
      ac_cv_func_realloc_0_nonnull=yes globally.
    - Add support for multiarch paths even for packages that don't have
      appropriate control fields.  (This is a temporary workaround for
      libffi-dev, and probably doesn't need to go upstream.)  When the package
      has multiarch fields, move the files, otherwise just link them around.
    - Handle datarootdir specially in .pc files; it should keep the original
      prefix.
    - Handle lines containing '${exec_prefix}/bin' specially in .pc files;
      these are normally development tools, so should keep the original
      prefix.  (For example, orbit_idl in ORBit-2.0.pc.)

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 23 May 2010 17:36:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
 Uploaders: Wartan Hachaturow <wart@debian.org>,
  Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,
@@ -16,9 +17,9 @@
 
 Package: dpkg-cross
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev (>= 1.14.7), binutils-multiarch,
+Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev (>= 1.14.7),
  libconfig-auto-perl, libdebian-dpkgcross-perl (= ${source:Version})
-Recommends: fakeroot
+Recommends: fakeroot, binutils-multiarch
 Conflicts: apt-cross (<< 0.2.9), emdebian-tools (<< 0.3.9)
 Enhances: dpkg-dev
 Description: tools for cross compiling Debian packages

## dpkg-cross 2.6.3ubuntu1

=== debian/changelog ===
dpkg-cross (2.6.3ubuntu1) natty; urgency=low

  * Merge with Debian (LP: #736154), remaining changes:
    - Cache ac_cv_func_malloc_0_nonnull=yes and
      ac_cv_func_realloc_0_nonnull=yes globally.
    - Handle datarootdir specially in .pc files; it should keep the original
      prefix.
    - Handle lines containing '${exec_prefix}/bin' specially in .pc files;
      these are normally development tools, so should keep the original
      prefix.  (For example, orbit_idl in ORBit-2.0.pc.)

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 04 Apr 2011 12:23:15 +0200

dpkg-cross (2.6.3) unstable; urgency=low

  [ Neil Williams ]
  * Drop old apt-cross multiarch behaviour - outdated.

  [ Wookey ]
  * Add (interim) --convert-multiarch behaviour to cross even
    multiarch packages (Closes: #619400)
  * Drop X11R6 lib/include dirs as they are no longer present

  [ Neil Williams ]
  * Drop unsupported variables from config file
  * Correct the value for libIDL_cv_long_long_format in /etc/dpkg-
    cross/cross-config.cache. (Closes: #618488)
  * Add tclconfig.sh to the list of interesting files for
    cross-building. (Closes: #618490)
  * Fix some unitialised variables in rarely used -Q option dpkg-cross
  * Fix handling of arch-dependent include headers under multi-arch only
    support.

 -- Neil Williams <codehelp@debian.org>  Fri, 01 Apr 2011 19:54:09 +0100

dpkg-cross (2.6.2) unstable; urgency=low

  * Only suggest binutils-multiarch (relies on changes
    in debhelper >= 8.1.2) (Closes: #591542)

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Feb 2011 13:00:18 +0000

dpkg-cross (2.6.1) unstable; urgency=low

  * Target unstable.
  * Update standards version (no changes)

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Feb 2011 19:25:59 +0000

dpkg-cross (2.6.0) experimental; urgency=low

  * Add armhf support to cross-config (Closes: #605409)
  * Document file removal process (Closes: #599206)
  * Add translation support for runtime messages.
  * Move upload to experimental
  * Retain Section in converted package. (Closes: #592458)

 -- Neil Williams <codehelp@debian.org>  Wed, 08 Dec 2010 20:39:01 +0000

dpkg-cross (2.5.9) unstable; urgency=low

  * Downgrade binutils-multiarch to Recommends
  * Get dpkg-cross --version from dpkg-query.

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Jun 2010 12:44:26 +0100

=== debian/control ===
Source: dpkg-cross
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Uploaders: Wartan Hachaturow <wart@debian.org>,
 Alexander Shishkin <virtuoso@slind.org>,
 Nikita V. Youshchenko <yoush@debian.org>,
 Raphael Bossek <bossekr@debian.org>,
 NIIBE Yutaka <gniibe@fsij.org>,
 Neil Williams <codehelp@debian.org>
Build-Depends: cdbs, debhelper (>> 5), po-debconf
Standards-Version: 3.9.1
Homepage: http://dpkg-cross.alioth.debian.org/
Vcs-Browser: http://alioth.debian.org/scm/viewvc.php/?root=dpkg-cross
Vcs-CVS: :pserver:anonymous@cvs.alioth.debian.org:/cvsroot/dpkg-cross dpkg-cross

Package: dpkg-cross
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, dpkg-dev (>= 1.14.7),
 libconfig-auto-perl, libdebian-dpkgcross-perl (= ${source:Version})
Recommends: fakeroot
Suggests: binutils-multiarch
Breaks: debhelper (<< 8.1.2~)
Description: tools for cross compiling Debian packages
 dpkg-cross is a tool for installing libraries and headers from
 packages which have not been converted for Multi-Arch to support
 cross compiling.

Package: libdebian-dpkgcross-perl
Section: perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, file, dpkg-dev (>> 1.14.6),
 libfile-temp-perl, libconfig-auto-perl, libfile-homedir-perl
Description: functions to aid cross-compiling Debian packages
 Debian::DpkgCross is a module of perl functions to aid installing
 libraries and headers for cross compiling.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 include /usr/share/cdbs/1/class/perlmodule.mk
 
 clean::
-	$(RM) Debian::DpkgCross.3
+	$(RM) Debian::DpkgCross.3 dpkg-cross.1
+	$(RM) debian/stamp-makefile-build debian/stamp-makefile-check
 	debconf-updatepo
 
 build/dpkg-cross::

## dpkg-cross 2.6.5

=== debian/changelog ===
dpkg-cross (2.6.5) unstable; urgency=low

  * Add support for cross-building perl modules, patch from
    steve.mcintyre@linaro.org (Closes: #632871)

 -- Neil Williams <codehelp@debian.org>  Tue, 19 Jul 2011 18:25:39 +0100

dpkg-cross (2.6.4) unstable; urgency=low

  * Add depends on liblocale-gettext-perl to libdebian-dpkgcross-perl.
  * Update VCS location to Emdebian SVN.

 -- Neil Williams <codehelp@debian.org>  Thu, 23 Jun 2011 17:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
 Uploaders: Wartan Hachaturow <wart@debian.org>,
  Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,
@@ -10,10 +9,10 @@
  NIIBE Yutaka <gniibe@fsij.org>,
  Neil Williams <codehelp@debian.org>
 Build-Depends: cdbs, debhelper (>> 5), po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://dpkg-cross.alioth.debian.org/
-Vcs-Browser: http://alioth.debian.org/scm/viewvc.php/?root=dpkg-cross
-Vcs-CVS: :pserver:anonymous@cvs.alioth.debian.org:/cvsroot/dpkg-cross dpkg-cross
+Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/dpkg-cross/trunk/
+Vcs-SVN: svn+ssh://codehelp@www.emdebian.org/srv/svn/current/host/trunk/dpkg-cross/trunk/
 
 Package: dpkg-cross
 Architecture: all
@@ -31,7 +30,8 @@
 Section: perl
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, file, dpkg-dev (>> 1.14.6),
- libfile-temp-perl, libconfig-auto-perl, libfile-homedir-perl
+ libfile-temp-perl, libconfig-auto-perl, libfile-homedir-perl,
+ liblocale-gettext-perl
 Description: functions to aid cross-compiling Debian packages
  Debian::DpkgCross is a module of perl functions to aid installing
  libraries and headers for cross compiling.

## dpkg-cross 2.6.5ubuntu1

=== debian/changelog ===
dpkg-cross (2.6.5ubuntu1) oneiric; urgency=low

  [ Marcin Juszkiewicz ]
  * Merge with Debian (LP: #817513), remaining changes:
    - Cache ac_cv_func_malloc_0_nonnull=yes and
      ac_cv_func_realloc_0_nonnull=yes globally.
    - Handle datarootdir specially in .pc files; it should keep the original
      prefix.
    - Handle lines containing '${exec_prefix}/bin' specially in .pc files;
      these are normally development tools, so should keep the original
      prefix.  (For example, orbit_idl in ORBit-2.0.pc.)

  [ Loïc Minier ]
  * Rename Vcs-* to XS-Debian-Vcs-*.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 28 Jul 2011 15:03:46 +0200

## dpkg-cross 2.6.5ubuntu2

=== debian/changelog ===
dpkg-cross (2.6.5ubuntu2) precise; urgency=low

  * Update coreutils and util-linux cache vars for precise (LP: #986226)

 -- Wookey <wookey@wookware.org>  Fri, 20 Apr 2012 15:44:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
 Uploaders: Wartan Hachaturow <wart@debian.org>,
  Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,
@@ -11,8 +12,8 @@
 Build-Depends: cdbs, debhelper (>> 5), po-debconf
 Standards-Version: 3.9.2
 Homepage: http://dpkg-cross.alioth.debian.org/
-Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/dpkg-cross/trunk/
-Vcs-SVN: svn+ssh://codehelp@www.emdebian.org/srv/svn/current/host/trunk/dpkg-cross/trunk/
+XS-Debian-Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/dpkg-cross/trunk/
+XS-Debian-Vcs-SVN: svn+ssh://codehelp@www.emdebian.org/srv/svn/current/host/trunk/dpkg-cross/trunk/
 
 Package: dpkg-cross
 Architecture: all

## dpkg-cross 2.6.7

=== debian/changelog ===
dpkg-cross (2.6.7) unstable; urgency=low

  * Confine the postrm to only removing the config files
    originally installed by dpkg-cross (Closes: #681755)

 -- Neil Williams <codehelp@debian.org>  Wed, 25 Jul 2012 20:50:50 +0100

dpkg-cross (2.6.6) unstable; urgency=low

  * [INTL:da] Danish translation of the debconf templates
    (Closes: #666536)
  * Drop deprecated CDBS rule. Update standards version.
  * [INTL:pt_BR] Brazilian Portuguese debconf templates
    (Closes: #650385)

 -- Neil Williams <codehelp@debian.org>  Sat, 31 Mar 2012 17:40:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
 Uploaders: Wartan Hachaturow <wart@debian.org>,
  Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,
@@ -10,10 +9,10 @@
  NIIBE Yutaka <gniibe@fsij.org>,
  Neil Williams <codehelp@debian.org>
 Build-Depends: cdbs, debhelper (>> 5), po-debconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://dpkg-cross.alioth.debian.org/
-XS-Debian-Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/dpkg-cross/trunk/
-XS-Debian-Vcs-SVN: svn+ssh://codehelp@www.emdebian.org/srv/svn/current/host/trunk/dpkg-cross/trunk/
+Vcs-Browser: http://www.emdebian.org/svn/browser/current/host/trunk/dpkg-cross/trunk/
+Vcs-SVN: http://www.emdebian.org/svn/current/host/trunk/dpkg-cross/trunk/
 
 Package: dpkg-cross
 Architecture: all

## dpkg-cross 2.6.7ubuntu1

=== debian/changelog ===
dpkg-cross (2.6.7ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cache ac_cv_func_malloc_0_nonnull=yes and
      ac_cv_func_realloc_0_nonnull=yes globally.
    - Handle datarootdir specially in .pc files; it should keep the original
      prefix.
    - Handle lines containing '${exec_prefix}/bin' specially in .pc files;
      these are normally development tools, so should keep the original
      prefix.  (For example, orbit_idl in ORBit-2.0.pc.)
    - Applied patch from Thibaut Girka:
      Assume multiarch if encoutering a /usr/include/$crosstype/ file too.
      This fixes issues with arch-qualified include files being moved to
      “doubly-qualified” paths.

 -- Logan Rosen <logatronico@gmail.com>  Wed, 15 Aug 2012 01:10:10 -0400

dpkg-cross (2.6.6ubuntu1) quantal; urgency=low

  * New upstream release.
  * Remaining changes:
    - Cache ac_cv_func_malloc_0_nonnull=yes and
      ac_cv_func_realloc_0_nonnull=yes globally.
    - Handle datarootdir specially in .pc files; it should keep the original
      prefix.
    - Handle lines containing '${exec_prefix}/bin' specially in .pc files;
      these are normally development tools, so should keep the original
      prefix.  (For example, orbit_idl in ORBit-2.0.pc.)
  * Applied patch from Thibaut Girka:
    Assume multiarch if encoutering a /usr/include/$crosstype/ file too.
    This fixes issues with arch-qualified include files being moved to
    “doubly-qualified” paths. (/usr/<triplet>/include/<triplet> example:
    libc6-dev from last arm{el|hf}-cross-toolchain-base)

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 17 May 2012 14:36:22 +0200

## dpkg-cross 2.6.9ubuntu2

=== debian/changelog ===
dpkg-cross (2.6.9ubuntu2) raring; urgency=low

  * Handle biarch linker scripts - LP: #1090800

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 17 Dec 2012 15:01:29 +0100

dpkg-cross (2.6.9ubuntu1) raring; urgency=low

  * Merge from Debian experimental. Remaining changes:
    - dpkg-cross:
      + Handle datarootdir specially in .pc files; it should keep the original
        prefix.
      + Handle lines containing '${exec_prefix}/bin' specially in .pc files;
        these are normally development tools, so should keep the original
        prefix.  (For example, orbit_idl in ORBit-2.0.pc.)
      + Assume multiarch if encoutering a /usr/include/$crosstype/ file too.
        This fixes issues with arch-qualified include files being moved to
        “doubly-qualified” paths.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 16 Dec 2012 22:17:43 -0500

dpkg-cross (2.6.9) experimental; urgency=low

  * Fix cmake integration use of variables and add explicit
    support for g++. (Closes: #695369)
  * Tell cmake about a cross pkg-config executable. (Closes:
    #695370)
  * Add qmake cross-building support.

 -- Neil Williams <codehelp@debian.org>  Sat, 08 Dec 2012 10:20:43 +0000

dpkg-cross (2.6.8) experimental; urgency=low

  * Add arm64 support, thanks to patch from Wookey, also
    adds more packages to the cross-config.cache and
    generalise some more common values. (Closes: #693730)
  * Target experimental.
  * Fix use of qw in list context for perl 5.14

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Nov 2012 21:10:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
 Uploaders: Wartan Hachaturow <wart@debian.org>,
  Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,

## dpkg-cross 2.6.11~emdeb8

=== debian/changelog ===
dpkg-cross (2.6.11~emdeb8) jessie; urgency=medium

  * Rebuild for debian repo, as removed from debian jessie

 -- Wookey <wookey@debian.org>  Fri, 16 Jan 2015 19:10:36 +0000

dpkg-cross (2.6.11) unstable; urgency=low

  * Upload changes from experimental to unstable.

 -- Neil Williams <codehelp@debian.org>  Fri, 24 May 2013 20:28:54 +0100

dpkg-cross (2.6.10) experimental; urgency=low

  * Fix include directories in cflags values of pkg-config files
    (Closes: #697695)

 -- Neil Williams <codehelp@debian.org>  Thu, 21 Mar 2013 17:42:37 +0000
